Page MenuHomePhabricator

Make potential for others to see IP Address for ssh sessions explicit in Toolforge membership request process
Closed, ResolvedPublic

Description

The connecting client's ssh address is visible to other Toolforge members via several standard unix commands. People should be forewarned about this in case they find such information to be personally sensitive.

Event Timeline

bd808 created this task.Aug 22 2017, 4:35 PM

Change 373169 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Add privacy warnings to account creation

https://gerrit.wikimedia.org/r/373169

Change 373169 merged by jenkins-bot:
[labs/striker@master] Add privacy warnings to account creation

https://gerrit.wikimedia.org/r/373169

Mentioned in SAL (#wikimedia-operations) [2017-08-23T16:24:26Z] <bd808@tin> Finished deploy [striker/deploy@2f2dd7c]: Deploying 2f2dd7c "Tool account creation and more" (T128400, T149458, T159044, T164847, T167931, T168480, T173845) (duration: 00m 39s)

bd808 moved this task from Backlog to Doing on the Striker board.Aug 23 2017, 5:07 PM
bd808 closed this task as Resolved.Aug 23 2017, 5:50 PM
bd808 claimed this task.
Restricted Application added a project: User-bd808. · View Herald TranscriptAug 23 2017, 5:50 PM
bd808 moved this task from Doing to Done on the Striker board.Aug 24 2017, 7:29 PM